/*
 * This program displays memory information.
 *
 * This program was created by Rob Lindeman (gogo), repas GmbH
 */

#include <stdio.h>
#include <stdlib.h>
#include <sys/osinfo.h>

static char *usage_msg[] =  {
  "[ node ] ",
  "where: node is the node to display memory information for.",
  NULL
};

/* -------------------------------------------------------------------------- */

main( int argc, char *argv[] )
{
  struct _osinfo osinfo;
  int node = 0;

  if( need_usage( argv ) )  {
    usage( EXIT_SUCCESS, *argv, usage_msg );
  }

  while( --argc )  {
    node = atoi( argv[argc] );
  }

  if( qnx_osinfo( node, &osinfo ) == -1 ) {
    printf( "OSINFO: Error gathering information!\n" );
    exit( -1 );
  }

  printf( "Free/Total Memory for Node %ld: %dk/%dk\n", osinfo.nodename, osinfo.freememk, osinfo.totmemk );
}

/* -------------------------------------------------------------------------- */


