/*
 * This program prints the amount of space used and free of the given disk.
 *
 * This program was created by Rob Lindeman (gogo), repas GmbH
 */

#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/disk.h>

static char *usage_msg[] =  {
  "[ drive ]" ,
  "where:   drive is the drive to query.",
  NULL
};

/* -------------------------------------------------------------------------- */

main( int argc, char *argv[] )
{
  int fd;
  char bitmap[100];
  long f_blocks,
       t_blocks,
       used;

  if( need_usage( argv ) )  {
    usage( EXIT_SUCCESS, *argv, usage_msg );
  }

  bitmap[0] = '\0';
  while( --argc )  {
    strcpy( &bitmap[0], &argv[argc][0] );
  }
  strcat( &bitmap[0], "/.bitmap" );

  if( ( fd = open( &bitmap[0], O_RDONLY ) ) == -1 )  {
    printf( "QUERY: main-> Could not open %s\n", &bitmap[0] );
    sleep( 1 );
    exit( -1 );
  }

  if( disk_space( fd, &f_blocks, &t_blocks ) )  {
    printf( "QUERY: main-> Could not get size info.\n" );
    exit( -1 );
  }

  close( fd );

  used = t_blocks - f_blocks;

  printf( "%5.1fM free, %5.1fM used, %5.1f%% used (%ld free, %ld used of %ld blocks)\n",
                       f_blocks / 2000.0,
                       used / 2000.0,
                       (float)(((float)used / (float)t_blocks) * 100.0),
                       f_blocks, used, t_blocks );
}

/* -------------------------------------------------------------------------- */



