/*
 *  This programs prints the present console settings for the
 *  current console.
 *
 * This program was created by Rob Lindeman (gogo), repas GmbH
 */

#include <stdio.h>
#include <stdlib.h>
#include <sys/qnxterm.h>
#include <sys/console.h>
#include <fcntl.h>
#include <unistd.h>

static char *usage_msg[] =  {
  " ",
  NULL
};

/* -------------------------------------------------------------------------- */

main( int argc, char *argv[] )
{
  if( need_usage( argv ) )  {
    usage( EXIT_SUCCESS, *argv, usage_msg );
  }

  if( term_load( ) )  {
    printf( "TERM_INFO: main-> Could not load terminal information\n" );
    exit( -1 );
  }

  printf( "The terminal info looks like:\n" );
  printf( "Name:        %18s\n", term_state.name );
  printf( "Size:  Rows: %5d  Cols: %5d\n", term_state.num_rows, term_state.num_cols );
  printf( "QNX Term:                     %d\n",term_state.qnx_term );
  printf( "BoxChars: V:%c H:%c TL:%c TR:%c BL:%c BR:%c\n", term_state.box_vertical,
                                           term_state.box_horizontal,
                                           term_state.box_top_left,
                                           term_state.box_top_right,
                                           term_state.box_bot_left,
                                           term_state.box_bot_right );
  printf( "      Top Tee            Hex: %x\n",term_state.box_top_tee );
  printf( "      Bottom Tee         Hex: %x\n",term_state.box_bot_tee );
  printf( "      Left Tee           Hex: %x\n",term_state.box_left_tee );
  printf( "      Rith Tee           Hex: %x\n",term_state.box_right_tee );
  printf( "      Cross              Hex: %x\n",term_state.box_cross );
  printf( "      Solid Block        Hex: %x\n",term_state.box_solid_block );
  printf( "      Shade Block        Hex: %x\n",term_state.box_shade_block );
  printf( "      Bottom Solid Block Hex: %x\n",term_state.box_bot_solid_block );
  printf( "      Top Solid Block    Hex: %x\n",term_state.box_top_solid_block );
  printf( "      Left               Hex: %x\n",term_state.cost_left );
  printf( "      Right              Hex: %x\n",term_state.cost_right );
  printf( "      Up                 Hex: %x\n",term_state.cost_up );
  printf( "      Down               Hex: %x\n",term_state.cost_down );
  printf( "      Move               Hex: %x\n",term_state.cost_move );
  printf( "      Left P             Hex: %x\n",term_state.cost_left_p );
  printf( "      Right P            Hex: %x\n",term_state.cost_right_p );
  printf( "      Up P               Hex: %x\n",term_state.cost_up_p );
  printf( "      Down P             Hex: %x\n",term_state.cost_down_p );
  printf( "      Color              Hex: %x\n",term_state.cost_down_p );
}

/* -------------------------------------------------------------------------- */


