/*
 * This program times other programs.
 *
 * This program was created by Rob Lindeman (gogo), repas GmbH
 */

#include <process.h>
#include <stdlib.h>
#include <time.h>

static char *usage_msg[] =  {
  "command [ arg ]*",
  NULL
};

/* -------------------------------------------------------------------------- */

main( int argc, char *argv[] )
{
  char *pgm;
  char **args;
  int i;
  clock_t s,
          t;

  if( need_usage( argv ) || ( argc < 2 ) )  {
    usage( EXIT_SUCCESS, *argv, usage_msg );
  }

  pgm = *(++argv);
  args = argv;
  printf( "Executing: %s ", pgm );
  i = 1;

  while( i < (argc - 1) )  {
	printf( "%s ", args[i++] );
  }
  printf( "\n" );
  s = clock( );
  spawnvp( P_WAIT, pgm, args );
  t = clock( ) - s;
  printf( "Time: %lums\n", t );
}

/* -------------------------------------------------------------------------- */


